# $Revision: 1.6 $, $Date: 2001/12/04 14:42:47 $
Summary:	SMTP client library
Summary(pl):	Biblioteka kliencka SMTP
Name:		libesmtp
Version:	0.8.4
Release:	3
License:	LGPL
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦
Source0:	http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2
URL:		http://www.stafford.uklinux.net/libesmtp/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libltdl-devel
BuildRequires:	openssl-devel >= 0.9.6a
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%description -l pl
LibESMTP to biblioteka obsugujca wysyanie poczty elektronicznej
przy uyciu SMTP do prekonfigurowanego MTA, np. exima. Moe by
uywana jako cz MTA lub innego programu, ktry musi umie wysya
poczt.

%package devel
Summary:	Development resources for libesmtp
Summary(pl):	Pliki dla programistw uywajcych libesmtp
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}

%description devel
Development resources for libesmtp.

%description devel -l pl
Pliki dla programistw uywajcych libesmtp.

%package static
Summary:	Static libesmtp libraries
Summary(pl):	Statyczne biblioteki libesmtp
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description static
Static libesmtp libraries.

%description static -l pl
Statyczne biblioteki libesmtp.

%prep 
%setup -q

%build
(cd libltdl
aclocal
autoconf)
%configure \
	%{?debug:--enable-debug}%{!?debug:--disable-debug} \
	--with-auth-plugin-dir=%{_libdir}/esmtp-plugins \
	--enable-pthreads \
	--disable-ltdl-install \
	--enable-require-all-recipients=yes \
	--enable-etrn
%{__make}

gzip -9nf AUTHORS NEWS Notes README

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/esmtp-plugins
%attr(755,root,root) %{_libdir}/esmtp-plugins/*.so

%files devel
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/libesmtp-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/esmtp-plugins/*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/esmtp-plugins/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libesmtp.spec,v $
Revision 1.6  2001/12/04 14:42:47  qboosh
- pl translations, cosmetics; release 3

Revision 1.5  2001/08/29 04:21:27  kloczek
- reelase 2,
- added conditionaly --{enable,disable}-debug depending on %%{debug},
- added --enable-etrn.

Revision 1.4  2001/08/13 20:58:00  kloczek
- updated to 0.8.4.

Revision 1.3  2001/07/16 03:24:50  kloczek
- updated to 0.8.3 (ready to testing).

Revision 1.2  2001/06/21 20:28:20  kloczek
- completly rewrited in PLD style but not tested yet (need new ac 2.50).
